# ``twisted`.`conch`.`endpoints`.`SSHCommandAddress``

class documentation

`class SSHCommandAddress: (source)`

View In Hierarchy

An `SSHCommandAddress` instance represents the address of an SSH server, a username which was used to authenticate with that server, and a command which was run there.

Method | `__init__` |
Instance Variable | `command` | See `__init__`
Instance Variable | `server` | See `__init__`
Instance Variable | `username` | See `__init__`

def __init__(self, server, username, command): (source)

Parameters
server:`IAddress` provider | The address of the SSH server on which the command is running.
username:`bytes` | An authentication username which was used to authenticate against the server at the given address.
command:`bytes` | A command which was run in a session channel on the server at the given address.

command = (source)
See `__init__`
server = (source)
See `__init__`
username = (source)
See `__init__`